SET_TID_ADDRESS(2)

NAME
set_tid_address - Sets the current clear_child_tid to tidptr

SYNOPSIS

long sys_set_tid_address (int *tidptr);

DESCRIPTION

set_tid_address sets the current clear_child_tid (current child thread ID) to tidptr.

RETURN VALUE

set_tid_address returns the current pid of tidptr. This is mainly used by the CLEARTID process.

ERRORS

None.

AUTHOR
Niki Rahimi